# sockethubappender.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::helpers
namespace | log4cxx::net

## Classes

class | SocketHubAppender
| Sends LoggingEvent objects to a set of remote log servers, usually a SocketNode. More...

## Typedefs

typedef ObjectPtrT< ObjectOutputStream > | log4cxx::helpers::ObjectOutputStreamPtr

## Functions

| log4cxx::net::LOG4CXX_PTR_DEF (SocketHubAppender)